## python-pyasn1-modules 0.2.8

=== requirements.txt ===
pyasn1>=0.4.7,<0.6.0

## python-pyasn1-modules 0.0.3

=== debian/changelog ===
python-pyasn1-modules (0.0.3-1) unstable; urgency=low

  * Initial release (Closes: #679399)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 22 Jun 2012 12:50:13 +0200

=== debian/control ===
Source: python-pyasn1-modules
Section: python
Priority: optional
Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Build-Depends: debhelper (>= 8~), python
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/pyasn1-modules
Vcs-Git: git://git.debian.org/collab-maint/python-pyasn1-modules.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyasn1-modules.git;a=summary

Package: python-pyasn1-modules
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Collection of protocols modules written in ASN.1 language
 This is a small but growing collection of ASN.1 data structures
 expressed in Python terms using pyasn1 data model.
 .
 It's thought to be useful to protocol developers and testers.
 .
 Please note that pyasn1_modules is neither part of the pyasn1 package
 nor related to it.

## python-pyasn1-modules 0.0.5

=== debian/changelog ===
python-pyasn1-modules (0.0.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Build depend on python-pyasn1 and python3-pyasn1 to correctly
    generate package dependencies. See Debian #756378.
  * Bump standards version to 3.9.5.
  * Add a watch file.
  * Run the testsuite for python and python3.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Jul 2014 11:35:23 +0200

python-pyasn1-modules (0.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build a python3 package. Closes: #754868.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Jul 2014 13:07:30 +0200

=== debian/control ===
Source: python-pyasn1-modules
Section: python
Priority: optional
Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Build-Depends: debhelper (>= 8~), dh-python,
  python-all, python-pyasn1,
  python3-all, python3-pyasn1
Standards-Version: 3.9.5
Homepage: http://pypi.python.org/pypi/pyasn1-modules
Vcs-Git: git://git.debian.org/collab-maint/python-pyasn1-modules.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyasn1-modules.git;a=summary

Package: python-pyasn1-modules
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pyasn1
Description: Collection of protocols modules written in ASN.1 language
 This is a small but growing collection of ASN.1 data structures
 expressed in Python terms using pyasn1 data model.
 .
 It's thought to be useful to protocol developers and testers.
 .
 Please note that pyasn1_modules is neither part of the pyasn1 package
 nor related to it.

Package: python3-pyasn1-modules
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pyasn1
Description: Collection of protocols modules written in ASN.1 language (Python 3)
 This is a small but growing collection of ASN.1 data structures
 expressed in Python terms using pyasn1 data model.
 .
 It's thought to be useful to protocol developers and testers.
 .
 Please note that pyasn1_modules is neither part of the pyasn1 package
 nor related to it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	set -ex; \
	export PYINTERP=python; \
	for script in test/*.sh; do PYTHONPATH=.:./tools PATH=./tools:$$PATH sh -x $$script; done
	set -ex; \
	export PYINTERP=python3; \
	for script in test/*.sh; do PYTHONPATH=.:./tools PATH=./tools:$$PATH sh -x $$script; done

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://pypi.python.org/packages/source/p/pyasn1-modules/pyasn1-modules-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## python-pyasn1-modules 0.0.7

=== debian/changelog ===
python-pyasn1-modules (0.0.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Builds with pyasn 0.1.8. Closes: #796473.
  * Run the tests for all python3 versions.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Sep 2015 15:44:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
 Build-Depends: debhelper (>= 8~), dh-python,
-  python-all, python-pyasn1,
-  python3-all, python3-pyasn1
-Standards-Version: 3.9.5
+  python-all, python-pyasn1 (>= 0.1.8),
+  python3-all, python3-pyasn1 (>= 0.1.8)
+Standards-Version: 3.9.6
 Homepage: http://pypi.python.org/pypi/pyasn1-modules
 Vcs-Git: git://git.debian.org/collab-maint/python-pyasn1-modules.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyasn1-modules.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 	set -ex; \
 	export PYINTERP=python; \
 	for script in test/*.sh; do PYTHONPATH=.:./tools PATH=./tools:$$PATH sh -x $$script; done
+
 	set -ex; \
-	export PYINTERP=python3; \
-	for script in test/*.sh; do PYTHONPATH=.:./tools PATH=./tools:$$PATH sh -x $$script; done
+	for py in $$(py3versions -s); do \
+	  export PYINTERP=$$py; \
+	  for script in test/*.sh; do PYTHONPATH=.:./tools PATH=./tools:$$PATH sh -x $$script; done; \
+	done

## python-pyasn1-modules 0.2.1

=== debian/changelog ===
python-pyasn1-modules (0.2.1-1) unstable; urgency=medium

  * Take over under DPMT umbrella, Marc is still part of Uploaders
  * Drop python2 support; Closes: #938055

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Apr 2020 20:09:23 -0400

python-pyasn1-modules (0.2.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * control: Bump build-depends on python-pyasn1.
  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 02 Jan 2018 13:18:24 +0200

python-pyasn1-modules (0.2.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Builds with pyasn1 0.4.2.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 24 Dec 2017 22:09:18 +0200

=== debian/control ===
Source: python-pyasn1-modules
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
Build-Depends: debhelper (>= 8~), dh-python,
  python3-all, python3-pyasn1 (>= 0.4.1)
Standards-Version: 3.9.6
Homepage: http://pypi.python.org/pypi/pyasn1-modules
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyasn1-modules.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyasn1-modules

Package: python3-pyasn1-modules
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pyasn1
Description: Collection of protocols modules written in ASN.1 language (Python 3)
 This is a small but growing collection of ASN.1 data structures
 expressed in Python terms using pyasn1 data model.
 .
 It's thought to be useful to protocol developers and testers.
 .
 Please note that pyasn1_modules is neither part of the pyasn1 package
 nor related to it.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://pypi.debian.net/pyasn1-modules/pyasn1-modules-(.*).tar.gz

## python-pyasn1-modules 0.2.8

=== debian/changelog ===
python-pyasn1-modules (0.2.8-1) unstable; urgency=low

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Julien Cristau ]
  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Wed, 06 Apr 2022 11:09:34 +0200

=== debian/control ===
Source: python-pyasn1-modules
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all, python3-pyasn1 (>= 0.4.1)
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/pyasn1-modules
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyasn1-modules.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyasn1-modules

Package: python3-pyasn1-modules
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pyasn1 (>= 0.4.6~),
Description: Collection of protocols modules written in ASN.1 language (Python 3)
 This is a small but growing collection of ASN.1 data structures
 expressed in Python terms using pyasn1 data model.
 .
 It's thought to be useful to protocol developers and testers.
 .
 Please note that pyasn1_modules is neither part of the pyasn1 package
 nor related to it.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://pypi.debian.net/pyasn1-modules/pyasn1-modules-(.*).tar.gz

## python-pyasn1-modules 0.3.0

=== debian/changelog ===
python-pyasn1-modules (0.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-pyasn1.

  [ Thomas Goirand ]
  * Switch d/watch to version 4 and mode=git, plus use github instead of
    pypi.debian.net.
  * New upstream release.
  * Ran wrap-and-sort -bastk.
  * Add pybuild-plugin-pyproject as build-depends.
  * Switch the homepage to the Github project URL.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 09:12:55 +0200

=== debian/control ===
Source: python-pyasn1-modules
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Marc Haber <mh+debian-packages@zugschlus.de>,
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 dh-python,
 python3-all,
 python3-pyasn1,
Standards-Version: 3.9.6
Homepage: https://github.com/pyasn1/pyasn1-modules
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyasn1-modules.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyasn1-modules

Package: python3-pyasn1-modules
Architecture: all
Depends:
 python3-pyasn1 (>= 0.4.6~),
 ${misc:Depends},
 ${python3:Depends},
Description: Collection of protocols modules written in ASN.1 language (Python 3)
 This is a small but growing collection of ASN.1 data structures
 expressed in Python terms using pyasn1 data model.
 .
 It's thought to be useful to protocol developers and testers.
 .
 Please note that pyasn1_modules is neither part of the pyasn1 package
 nor related to it.

## python-pyasn1-modules 0.4.1

=== requirements.txt ===
pyasn1>=0.4.7,<0.7.0

=== debian/changelog ===
python-pyasn1-modules (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of deprecated pyasn1.compat.octets Python 2+3 shim
    Closes: #1098604

 -- Alexandre Detiste <tchet@debian.org>  Sat, 22 Feb 2025 13:48:21 +0100

python-pyasn1-modules (0.4.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.4.1
  * Add build-dependency on python3-setuptools (Closes: #1080764)
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 09 Oct 2024 22:19:14 +0200

python-pyasn1-modules (0.4.0-1) unstable; urgency=medium

  * New upstream version (Closes: #1051857).

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 23 Aug 2024 11:04:37 -0300

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-pyasn1,
+ python3-setuptools,
+Rules-Requires-Root: no
 Standards-Version: 3.9.6
 Homepage: https://github.com/pyasn1/pyasn1-modules
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyasn1-modules.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 python3-all,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/pyasn1/pyasn1-modules refs/tags/v(\d[brc\d\.]+)
